Bug 601742 - [abrt] crash in gvfs-1.6.2-1.fc13: verify_metadata_block: Process /usr/libexec/gvfsd-metadata was killed by signal 11 (SIGSEGV)
[abrt] crash in gvfs-1.6.2-1.fc13: verify_metadata_block: Process /usr/libexe...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gvfs (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
abrt_hash:f71618d559610509e4c520d8136...
:
: 607757 619133 635723 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-08 10:43 EDT by Pau Aliagas
Modified: 2018-04-11 14:54 EDT (History)
32 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 13:47:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (13.11 KB, text/plain)
2010-06-08 10:43 EDT, Pau Aliagas
no flags Details

  None (edit)
Description Pau Aliagas 2010-06-08 10:43:17 EDT
abrt 1.1.1 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: /usr/libexec/gvfsd-metadata
component: gvfs
crash_function: verify_metadata_block
executable: /usr/libexec/gvfsd-metadata
global_uuid: f71618d559610509e4c520d8136629d456209b18
kernel: 2.6.33.5-112.fc13.x86_64
package: gvfs-1.6.2-1.fc13
rating: 4
reason: Process /usr/libexec/gvfsd-metadata was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)
Comment 1 Pau Aliagas 2010-06-08 10:43:32 EDT
Created attachment 422226 [details]
File: backtrace
Comment 2 Felix Möller 2010-06-16 10:01:07 EDT
Package: gvfs-1.6.2-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
do not know yet how to reproduce, is the backtrace enough, to spot hte problem?
Comment 3 Mikhail 2010-06-24 22:00:41 EDT
This bug occurs when I use Personal Files over the Network.
Comment 4 Ken Simeon 2010-06-30 01:50:46 EDT
Package: gvfs-1.6.2-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


Comment
-----
I have not idea why it crashed :-)
Comment 5 Mikhail 2010-06-30 12:24:16 EDT
Maybe blame cyrillic symbols?
Comment 6 Mikhail 2010-07-03 04:22:01 EDT
Package: gvfs-1.6.2-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)

[New Thread 2264]
Core was generated by `/usr/libexec/gvfsd-metadata'.
Program terminated with signal 11, Segmentation fault.
#0  0x0804cc2e in verify_metadata_block (tree=0x9a41260, dirent=0x0, 
    builder_file=0x9a40518) at metatree.c:223
223	metatree.c: No such file or directory.
	in metatree.c

Thread 1 (Thread 2264):
#0  0x0804cc2e in verify_metadata_block (tree=0x9a41260, dirent=0x0, 
    builder_file=0x9a40518) at metatree.c:223
No locals.
#1  copy_tree_to_builder (tree=0x9a41260, dirent=0x0, builder_file=0x9a40518)
    at metatree.c:2196
        builder_child = <value optimized out>
        data = <value optimized out>
        dir = <value optimized out>
        type = <value optimized out>
        child_name = <value optimized out>
        key_name = <value optimized out>
        value = <value optimized out>
        i = <value optimized out>
        num_keys = <value optimized out>
        num_children = <value optimized out>
        j = <value optimized out>
        key_id = <value optimized out>
#2  0x0804d836 in meta_tree_flush_locked (tree=0x9a41260) at metatree.c:2357
        builder = 0x9a3e790
        res = <value optimized out>
#3  0x0804dab1 in meta_tree_flush (tree=0x9a41260) at metatree.c:2378
        res = <value optimized out>
#4  0x0804ab36 in writeout_timeout (data=0x9a40c78) at meta-daemon.c:61
        info = 0x9a40c78
#5  0x00710c8d in g_timeout_dispatch (source=0x9a40ec8, 
    callback=0x804ab20 <writeout_timeout>, user_data=0x9a40c78)
    at gmain.c:3396
        timeout_source = 0x9a40ec8
#6  0x00710525 in g_main_dispatch (context=0x9a3d7e0) at gmain.c:1960
        dispatch = 0x710c60 <g_timeout_dispatch>
        was_in_call = 0
        user_data = 0x9a40c78
        callback = 0x804ab20 <writeout_timeout>
        cb_funcs = 0x7d657c
        cb_data = 0x9a3e7a8
        current_source_link = {data = 0x9a40ec8, next = 0x0}
        need_destroy = <value optimized out>
        source = 0x9a40ec8
        current = 0x9a39248
        i = <value optimized out>
#7  IA__g_main_context_dispatch (context=0x9a3d7e0) at gmain.c:2513
No locals.
#8  0x00714268 in g_main_context_iterate (context=0x670490, block=1, 
    dispatch=1, self=0x9a38940) at gmain.c:2591
        max_priority = 2147483647
        timeout = 57979
        some_ready = 1
        nfds = <value optimized out>
        allocated_nfds = <value optimized out>
        fds = 0x9a3e9a0
        __PRETTY_FUNCTION__ = "g_main_context_iterate"
#9  0x007147af in IA__g_main_loop_run (loop=0x9a39c00) at gmain.c:2799
        self = 0x9a38940
        __PRETTY_FUNCTION__ = "IA__g_main_loop_run"
#10 0x0804bca9 in main (argc=1, argv=0xbfd2c564) at meta-daemon.c:783
        loop = 0x9a39c00
        conn = 0x9a3e3d8
        replace = 0
        error = 0x0
        derror = {name = 0x0, message = 0x0, dummy1 = 1, dummy2 = 0, 
          dummy3 = 0, dummy4 = 0, dummy5 = 0, padding1 = 0x8056a86}
        context = <value optimized out>
        options = {{long_name = 0x805292f "replace", short_name = 114 'r', 
            flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0xbfd2c49c, 
            description = 0x8052937 "Replace old daemon.", 
            arg_description = 0x0}, {long_name = 0x0, short_name = 0 '\000', 
            flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0x0, 
            description = 0x0, arg_description = 0x0}}
From        To          Syms Read   Shared Object Library
0x06595e80  0x0659f3e8  Yes         /lib/libudev.so.0
0x00973c00  0x0097eec8  Yes         /usr/lib/libgvfscommon.so.0
0x00820220  0x0084c578  Yes         /lib/libdbus-1.so.3
0x0066b5e0  0x00677568  Yes         /lib/libpthread.so.0
0x001238d0  0x00194c68  Yes         /lib/libgio-2.0.so.0
0x0086a7d0  0x008966f8  Yes         /lib/libgobject-2.0.so.0
0x008abc30  0x008acd88  Yes         /lib/libgmodule-2.0.so.0
0x00814f40  0x008166b8  Yes         /lib/libgthread-2.0.so.0
0x0068c880  0x006906b8  Yes         /lib/librt.so.1
0x006e8590  0x00774478  Yes         /lib/libglib-2.0.so.0
0x00ace040  0x00ae6ef8  Yes         /lib/libexpat.so.1
0x0049aa20  0x0049b2c8  Yes         /lib/libutil.so.1
0x004efaa0  0x0060f544  Yes         /lib/libc.so.6
0x004b3830  0x004cb37f  Yes         /lib/ld-linux.so.2
0x00684a60  0x00685a88  Yes         /lib/libdl.so.2
0x007fb650  0x00809f58  Yes         /lib/libresolv.so.2
0x00697620  0x006a28e8  Yes         /lib/libz.so.1
0x007dd190  0x007ee3b8  Yes         /lib/libselinux.so.1
$1 = 0x0
$2 = 0x0
eax            0x9a41260	161747552
ecx            0x9a3e790	161736592
edx            0x0	0
ebx            0x8055bcc	134568908
esp            0xbfd2c170	0xbfd2c170
ebp            0xbfd2c1b8	0xbfd2c1b8
esi            0x8055f00	134569728
edi            0xbfd2c320	-1076706528
eip            0x804cc2e	0x804cc2e <copy_tree_to_builder+30>
eflags         0x10206	[ PF IF RF ]
cs             0x73	115
ss             0x7b	123
ds             0x7b	123
es             0x7b	123
fs             0x0	0
gs             0x33	51
Dump of assembler code for function copy_tree_to_builder:
   0x0804cc10 <+0>:	push   %ebp
   0x0804cc11 <+1>:	mov    %esp,%ebp
   0x0804cc13 <+3>:	push   %edi
   0x0804cc14 <+4>:	push   %esi
   0x0804cc15 <+5>:	push   %ebx
   0x0804cc16 <+6>:	call   0x8050671 <__i686.get_pc_thunk.bx>
   0x0804cc1b <+11>:	add    $0x8fb1,%ebx
   0x0804cc21 <+17>:	lea    -0x3c(%esp),%esp
   0x0804cc25 <+21>:	mov    %eax,-0x20(%ebp)
   0x0804cc28 <+24>:	mov    %edx,-0x34(%ebp)
   0x0804cc2b <+27>:	mov    -0x20(%ebp),%eax
=> 0x0804cc2e <+30>:	mov    0x8(%edx),%edx
   0x0804cc31 <+33>:	movl   $0x8,(%esp)
   0x0804cc38 <+40>:	call   0x804c2c0 <verify_array_block>
   0x0804cc3d <+45>:	test   %eax,%eax
   0x0804cc3f <+47>:	mov    %eax,-0x2c(%ebp)
   0x0804cc42 <+50>:	je     0x804cd1e <copy_tree_to_builder+270>
   0x0804cc48 <+56>:	mov    (%eax),%edx
   0x0804cc4a <+58>:	bswap  %edx
   0x0804cc4c <+60>:	test   %edx,%edx
   0x0804cc4e <+62>:	mov    %edx,-0x30(%ebp)
   0x0804cc51 <+65>:	je     0x804cd1e <copy_tree_to_builder+270>
   0x0804cc57 <+71>:	movl   $0x0,-0x1c(%ebp)
   0x0804cc5e <+78>:	xchg   %ax,%ax
   0x0804cc60 <+80>:	mov    -0x1c(%ebp),%ecx
   0x0804cc63 <+83>:	mov    -0x2c(%ebp),%esi
   0x0804cc66 <+86>:	mov    0x4(%esi,%ecx,8),%eax
   0x0804cc6a <+90>:	mov    -0x20(%ebp),%ecx
   0x0804cc6d <+93>:	bswap  %eax
   0x0804cc6f <+95>:	mov    %eax,%edx
   0x0804cc71 <+97>:	sar    $0x1f,%eax
   0x0804cc74 <+100>:	and    $0x7fffffff,%edx
   0x0804cc7a <+106>:	not    %eax
   0x0804cc7c <+108>:	add    $0x2,%eax
   0x0804cc7f <+111>:	cmp    0x38(%ecx),%edx
   0x0804cc82 <+114>:	jae    0x804cd0e <copy_tree_to_builder+254>
   0x0804cc88 <+120>:	mov    %ecx,%esi
   0x0804cc8a <+122>:	mov    0x3c(%ecx),%ecx
   0x0804cc8d <+125>:	mov    (%ecx,%edx,4),%ecx
   0x0804cc90 <+128>:	test   %ecx,%ecx
   0x0804cc92 <+130>:	mov    %ecx,-0x28(%ebp)
   0x0804cc95 <+133>:	je     0x804cd0e <copy_tree_to_builder+254>
   0x0804cc97 <+135>:	cmp    $0x1,%eax
   0x0804cc9a <+138>:	je     0x804cd58 <copy_tree_to_builder+328>
   0x0804cca0 <+144>:	mov    -0x1c(%ebp),%ecx
   0x0804cca3 <+147>:	mov    -0x2c(%ebp),%esi
   0x0804cca6 <+150>:	mov    -0x20(%ebp),%eax
   0x0804cca9 <+153>:	mov    0x8(%esi,%ecx,8),%edx
   0x0804ccad <+157>:	movl   $0x4,(%esp)
   0x0804ccb4 <+164>:	call   0x804c2c0 <verify_array_block>
   0x0804ccb9 <+169>:	test   %eax,%eax
   0x0804ccbb <+171>:	mov    %eax,%edi
   0x0804ccbd <+173>:	je     0x804cd0e <copy_tree_to_builder+254>
   0x0804ccbf <+175>:	mov    -0x28(%ebp),%eax
   0x0804ccc2 <+178>:	mov    0x8(%ebp),%edx
   0x0804ccc5 <+181>:	mov    %eax,0x4(%esp)
   0x0804ccc9 <+185>:	mov    %edx,(%esp)
   0x0804cccc <+188>:	call   0x8050fa0 <metafile_key_list_set>
   0x0804ccd1 <+193>:	mov    (%edi),%ecx
   0x0804ccd3 <+195>:	bswap  %ecx
   0x0804ccd5 <+197>:	test   %ecx,%ecx
   0x0804ccd7 <+199>:	mov    %ecx,-0x24(%ebp)
   0x0804ccda <+202>:	je     0x804cd0e <copy_tree_to_builder+254>
   0x0804ccdc <+204>:	xor    %esi,%esi
   0x0804ccde <+206>:	xchg   %ax,%ax
   0x0804cce0 <+208>:	mov    0x4(%edi,%esi,4),%edx
   0x0804cce4 <+212>:	mov    -0x20(%ebp),%eax
   0x0804cce7 <+215>:	call   0x804c320 <verify_string>
   0x0804ccec <+220>:	test   %eax,%eax
   0x0804ccee <+222>:	je     0x804cd06 <copy_tree_to_builder+246>
   0x0804ccf0 <+224>:	mov    %eax,0x8(%esp)
   0x0804ccf4 <+228>:	mov    0x8(%ebp),%edx
   0x0804ccf7 <+231>:	mov    -0x28(%ebp),%eax
   0x0804ccfa <+234>:	mov    %edx,(%esp)
   0x0804ccfd <+237>:	mov    %eax,0x4(%esp)
   0x0804cd01 <+241>:	call   0x8050f30 <metafile_key_list_add>
   0x0804cd06 <+246>:	lea    0x1(%esi),%esi
   0x0804cd09 <+249>:	cmp    %esi,-0x24(%ebp)
   0x0804cd0c <+252>:	ja     0x804cce0 <copy_tree_to_builder+208>
   0x0804cd0e <+254>:	addl   $0x1,-0x1c(%ebp)
   0x0804cd12 <+258>:	mov    -0x1c(%ebp),%ecx
   0x0804cd15 <+261>:	cmp    %ecx,-0x30(%ebp)
   0x0804cd18 <+264>:	ja     0x804cc60 <copy_tree_to_builder+80>
   0x0804cd1e <+270>:	mov    -0x34(%ebp),%esi
   0x0804cd21 <+273>:	xor    %edx,%edx
   0x0804cd23 <+275>:	xor    %ecx,%ecx
   0x0804cd25 <+277>:	mov    0xc(%esi),%eax
   0x0804cd28 <+280>:	bswap  %eax
   0x0804cd2a <+282>:	test   %eax,%eax
   0x0804cd2c <+284>:	je     0x804cd3b <copy_tree_to_builder+299>
   0x0804cd2e <+286>:	mov    %eax,%edx
   0x0804cd30 <+288>:	mov    -0x20(%ebp),%eax
   0x0804cd33 <+291>:	xor    %ecx,%ecx
   0x0804cd35 <+293>:	add    0x28(%eax),%edx
   0x0804cd38 <+296>:	adc    0x2c(%eax),%ecx
   0x0804cd3b <+299>:	mov    0x8(%ebp),%esi
   0x0804cd3e <+302>:	mov    -0x34(%ebp),%eax
   0x0804cd41 <+305>:	mov    %edx,0x8(%esi)
   0x0804cd44 <+308>:	mov    0x4(%eax),%edx
   0x0804cd47 <+311>:	test   %edx,%edx
   0x0804cd49 <+313>:	mov    %ecx,0xc(%esi)
   0x0804cd4c <+316>:	jne    0x804cd98 <copy_tree_to_builder+392>
   0x0804cd4e <+318>:	lea    0x3c(%esp),%esp
   0x0804cd52 <+322>:	pop    %ebx
   0x0804cd53 <+323>:	pop    %esi
   0x0804cd54 <+324>:	pop    %edi
   0x0804cd55 <+325>:	pop    %ebp
   0x0804cd56 <+326>:	ret    
   0x0804cd57 <+327>:	nop
   0x0804cd58 <+328>:	mov    -0x1c(%ebp),%eax
   0x0804cd5b <+331>:	mov    -0x2c(%ebp),%ecx
   0x0804cd5e <+334>:	mov    0x8(%ecx,%eax,8),%edx
   0x0804cd62 <+338>:	mov    %esi,%eax
   0x0804cd64 <+340>:	call   0x804c320 <verify_string>
   0x0804cd69 <+345>:	test   %eax,%eax
   0x0804cd6b <+347>:	je     0x804cd0e <copy_tree_to_builder+254>
   0x0804cd6d <+349>:	mov    %eax,0x8(%esp)
   0x0804cd71 <+353>:	mov    -0x28(%ebp),%esi
   0x0804cd74 <+356>:	mov    0x8(%ebp),%eax
   0x0804cd77 <+359>:	mov    %esi,0x4(%esp)
   0x0804cd7b <+363>:	mov    %eax,(%esp)
   0x0804cd7e <+366>:	call   0x8051020 <metafile_key_set_value>
   0x0804cd83 <+371>:	addl   $0x1,-0x1c(%ebp)
   0x0804cd87 <+375>:	mov    -0x1c(%ebp),%ecx
   0x0804cd8a <+378>:	cmp    %ecx,-0x30(%ebp)
   0x0804cd8d <+381>:	ja     0x804cc60 <copy_tree_to_builder+80>
   0x0804cd93 <+387>:	jmp    0x804cd1e <copy_tree_to_builder+270>
   0x0804cd95 <+389>:	lea    0x0(%esi),%esi
   0x0804cd98 <+392>:	mov    -0x20(%ebp),%eax
   0x0804cd9b <+395>:	movl   $0x10,(%esp)
   0x0804cda2 <+402>:	call   0x804c2c0 <verify_array_block>
   0x0804cda7 <+407>:	test   %eax,%eax
   0x0804cda9 <+409>:	mov    %eax,-0x1c(%ebp)
   0x0804cdac <+412>:	je     0x804cd4e <copy_tree_to_builder+318>
   0x0804cdae <+414>:	mov    (%eax),%edx
   0x0804cdb0 <+416>:	bswap  %edx
   0x0804cdb2 <+418>:	test   %edx,%edx
   0x0804cdb4 <+420>:	mov    %edx,-0x24(%ebp)
   0x0804cdb7 <+423>:	je     0x804cd4e <copy_tree_to_builder+318>
   0x0804cdb9 <+425>:	xor    %edi,%edi
   0x0804cdbb <+427>:	nop
   0x0804cdbc <+428>:	lea    0x0(%esi,%eiz,1),%esi
   0x0804cdc0 <+432>:	mov    %edi,%esi
   0x0804cdc2 <+434>:	mov    -0x1c(%ebp),%ecx
   0x0804cdc5 <+437>:	shl    $0x4,%esi
   0x0804cdc8 <+440>:	mov    -0x20(%ebp),%eax
   0x0804cdcb <+443>:	mov    0x4(%ecx,%esi,1),%edx
   0x0804cdcf <+447>:	call   0x804c320 <verify_string>
   0x0804cdd4 <+452>:	test   %eax,%eax
   0x0804cdd6 <+454>:	je     0x804cdf9 <copy_tree_to_builder+489>
   0x0804cdd8 <+456>:	mov    0x8(%ebp),%edx
   0x0804cddb <+459>:	mov    %eax,(%esp)
   0x0804cdde <+462>:	mov    %edx,0x4(%esp)
   0x0804cde2 <+466>:	call   0x8051100 <metafile_new>
   0x0804cde7 <+471>:	mov    -0x1c(%ebp),%ecx
   0x0804cdea <+474>:	mov    %eax,(%esp)
   0x0804cded <+477>:	mov    -0x20(%ebp),%eax
   0x0804cdf0 <+480>:	lea    0x4(%ecx,%esi,1),%edx
   0x0804cdf4 <+484>:	call   0x804cc10 <copy_tree_to_builder>
   0x0804cdf9 <+489>:	lea    0x1(%edi),%edi
   0x0804cdfc <+492>:	cmp    %edi,-0x24(%ebp)
   0x0804cdff <+495>:	ja     0x804cdc0 <copy_tree_to_builder+432>
   0x0804ce01 <+497>:	lea    0x3c(%esp),%esp
   0x0804ce05 <+501>:	pop    %ebx
   0x0804ce06 <+502>:	pop    %esi
   0x0804ce07 <+503>:	pop    %edi
   0x0804ce08 <+504>:	pop    %ebp
   0x0804ce09 <+505>:	ret    
End of assembler dump.
Comment 7 Katja 2010-07-03 07:35:30 EDT
Package: gvfs-1.6.2-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)

[New Thread 2010]
Core was generated by `/usr/libexec/gvfsd-metadata'.
Program terminated with signal 11, Segmentation fault.
#0  0x0804cc2e in verify_metadata_block (tree=0x8b90b48, dirent=0x0, 
    builder_file=0x8b8d8e0) at metatree.c:223
223	metatree.c: No such file or directory.
	in metatree.c

Thread 1 (Thread 2010):
#0  0x0804cc2e in verify_metadata_block (tree=0x8b90b48, dirent=0x0, 
    builder_file=0x8b8d8e0) at metatree.c:223
No locals.
#1  copy_tree_to_builder (tree=0x8b90b48, dirent=0x0, builder_file=0x8b8d8e0)
    at metatree.c:2196
        builder_child = <value optimized out>
        data = <value optimized out>
        dir = <value optimized out>
        type = <value optimized out>
        child_name = <value optimized out>
        key_name = <value optimized out>
        value = <value optimized out>
        i = <value optimized out>
        num_keys = <value optimized out>
        num_children = <value optimized out>
        j = <value optimized out>
        key_id = <value optimized out>
#2  0x0804d836 in meta_tree_flush_locked (tree=0x8b90b48) at metatree.c:2357
        builder = 0x8b8d8c8
        res = <value optimized out>
#3  0x0804dab1 in meta_tree_flush (tree=0x8b90b48) at metatree.c:2378
        res = <value optimized out>
#4  0x0804ab36 in writeout_timeout (data=0x8b91da0) at meta-daemon.c:61
        info = 0x8b91da0
#5  0x0092fc8d in g_timeout_dispatch (source=0x8b92ab8, 
    callback=0x804ab20 <writeout_timeout>, user_data=0x8b91da0)
    at gmain.c:3396
        timeout_source = 0x8b92ab8
#6  0x0092f525 in g_main_dispatch (context=0x8b8d7f8) at gmain.c:1960
        dispatch = 0x92fc60 <g_timeout_dispatch>
        was_in_call = 0
        user_data = 0x8b91da0
        callback = 0x804ab20 <writeout_timeout>
        cb_funcs = 0x9f557c
        cb_data = 0x8b90580
        current_source_link = {data = 0x8b92ab8, next = 0x0}
        need_destroy = <value optimized out>
        source = 0x8b92ab8
        current = 0x8b89148
        i = <value optimized out>
#7  IA__g_main_context_dispatch (context=0x8b8d7f8) at gmain.c:2513
No locals.
#8  0x00933268 in g_main_context_iterate (context=0x88f490, block=1, 
    dispatch=1, self=0x8b88970) at gmain.c:2591
        max_priority = 2147483647
        timeout = 46877
        some_ready = 1
        nfds = <value optimized out>
        allocated_nfds = <value optimized out>
        fds = 0x8b8e9d0
        __PRETTY_FUNCTION__ = "g_main_context_iterate"
#9  0x009337af in IA__g_main_loop_run (loop=0x8b89c00) at gmain.c:2799
        self = 0x8b88970
        __PRETTY_FUNCTION__ = "IA__g_main_loop_run"
#10 0x0804bca9 in main (argc=1, argv=0xbf9e3db4) at meta-daemon.c:783
        loop = 0x8b89c00
        conn = 0x8b8e3f8
        replace = 0
        error = 0x0
        derror = {name = 0x0, message = 0x0, dummy1 = 1, dummy2 = 0, 
          dummy3 = 0, dummy4 = 0, dummy5 = 0, padding1 = 0x0}
        context = <value optimized out>
        options = {{long_name = 0x805292f "replace", short_name = 114 'r', 
            flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0xbf9e3cec, 
            description = 0x8052937 "Replace old daemon.", 
            arg_description = 0x0}, {long_name = 0x0, short_name = 0 '\000', 
            flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0x0, 
            description = 0x0, arg_description = 0x0}}
From        To          Syms Read   Shared Object Library
0x07eb3e80  0x07ebd3e8  Yes         /lib/libudev.so.0
0x00b92c00  0x00b9dec8  Yes         /usr/lib/libgvfscommon.so.0
0x00a86220  0x00ab2578  Yes         /lib/libdbus-1.so.3
0x0088a5e0  0x00896568  Yes         /lib/libpthread.so.0
0x00ae38d0  0x00b54c68  Yes         /lib/libgio-2.0.so.0
0x00a397d0  0x00a656f8  Yes         /lib/libgobject-2.0.so.0
0x00acac30  0x00acbd88  Yes         /lib/libgmodule-2.0.so.0
0x00a7af40  0x00a7c6b8  Yes         /lib/libgthread-2.0.so.0
0x008ab880  0x008af6b8  Yes         /lib/librt.so.1
0x00907590  0x00993478  Yes         /lib/libglib-2.0.so.0
0x00ced040  0x00d05ef8  Yes         /lib/libexpat.so.1
0x07db2a20  0x07db32c8  Yes         /lib/libutil.so.1
0x0070eaa0  0x0082e544  Yes         /lib/libc.so.6
0x006d6830  0x006ee37f  Yes         /lib/ld-linux.so.2
0x008a3a60  0x008a4a88  Yes         /lib/libdl.so.2
0x00a1a650  0x00a28f58  Yes         /lib/libresolv.so.2
0x008e2620  0x008ed8e8  Yes         /lib/libz.so.1
0x009fc190  0x00a0d3b8  Yes         /lib/libselinux.so.1
$1 = 0x0
$2 = 0x0
eax            0x8b90b48	146344776
ecx            0x8b8d8c8	146331848
edx            0x0	0
ebx            0x8055bcc	134568908
esp            0xbf9e39c0	0xbf9e39c0
ebp            0xbf9e3a08	0xbf9e3a08
esi            0x8055f00	134569728
edi            0xbf9e3b70	-1080149136
eip            0x804cc2e	0x804cc2e <copy_tree_to_builder+30>
eflags         0x10206	[ PF IF RF ]
cs             0x73	115
ss             0x7b	123
ds             0x7b	123
es             0x7b	123
fs             0x0	0
gs             0x33	51
Dump of assembler code for function copy_tree_to_builder:
   0x0804cc10 <+0>:	push   %ebp
   0x0804cc11 <+1>:	mov    %esp,%ebp
   0x0804cc13 <+3>:	push   %edi
   0x0804cc14 <+4>:	push   %esi
   0x0804cc15 <+5>:	push   %ebx
   0x0804cc16 <+6>:	call   0x8050671 <__i686.get_pc_thunk.bx>
   0x0804cc1b <+11>:	add    $0x8fb1,%ebx
   0x0804cc21 <+17>:	lea    -0x3c(%esp),%esp
   0x0804cc25 <+21>:	mov    %eax,-0x20(%ebp)
   0x0804cc28 <+24>:	mov    %edx,-0x34(%ebp)
   0x0804cc2b <+27>:	mov    -0x20(%ebp),%eax
=> 0x0804cc2e <+30>:	mov    0x8(%edx),%edx
   0x0804cc31 <+33>:	movl   $0x8,(%esp)
   0x0804cc38 <+40>:	call   0x804c2c0 <verify_array_block>
   0x0804cc3d <+45>:	test   %eax,%eax
   0x0804cc3f <+47>:	mov    %eax,-0x2c(%ebp)
   0x0804cc42 <+50>:	je     0x804cd1e <copy_tree_to_builder+270>
   0x0804cc48 <+56>:	mov    (%eax),%edx
   0x0804cc4a <+58>:	bswap  %edx
   0x0804cc4c <+60>:	test   %edx,%edx
   0x0804cc4e <+62>:	mov    %edx,-0x30(%ebp)
   0x0804cc51 <+65>:	je     0x804cd1e <copy_tree_to_builder+270>
   0x0804cc57 <+71>:	movl   $0x0,-0x1c(%ebp)
   0x0804cc5e <+78>:	xchg   %ax,%ax
   0x0804cc60 <+80>:	mov    -0x1c(%ebp),%ecx
   0x0804cc63 <+83>:	mov    -0x2c(%ebp),%esi
   0x0804cc66 <+86>:	mov    0x4(%esi,%ecx,8),%eax
   0x0804cc6a <+90>:	mov    -0x20(%ebp),%ecx
   0x0804cc6d <+93>:	bswap  %eax
   0x0804cc6f <+95>:	mov    %eax,%edx
   0x0804cc71 <+97>:	sar    $0x1f,%eax
   0x0804cc74 <+100>:	and    $0x7fffffff,%edx
   0x0804cc7a <+106>:	not    %eax
   0x0804cc7c <+108>:	add    $0x2,%eax
   0x0804cc7f <+111>:	cmp    0x38(%ecx),%edx
   0x0804cc82 <+114>:	jae    0x804cd0e <copy_tree_to_builder+254>
   0x0804cc88 <+120>:	mov    %ecx,%esi
   0x0804cc8a <+122>:	mov    0x3c(%ecx),%ecx
   0x0804cc8d <+125>:	mov    (%ecx,%edx,4),%ecx
   0x0804cc90 <+128>:	test   %ecx,%ecx
   0x0804cc92 <+130>:	mov    %ecx,-0x28(%ebp)
   0x0804cc95 <+133>:	je     0x804cd0e <copy_tree_to_builder+254>
   0x0804cc97 <+135>:	cmp    $0x1,%eax
   0x0804cc9a <+138>:	je     0x804cd58 <copy_tree_to_builder+328>
   0x0804cca0 <+144>:	mov    -0x1c(%ebp),%ecx
   0x0804cca3 <+147>:	mov    -0x2c(%ebp),%esi
   0x0804cca6 <+150>:	mov    -0x20(%ebp),%eax
   0x0804cca9 <+153>:	mov    0x8(%esi,%ecx,8),%edx
   0x0804ccad <+157>:	movl   $0x4,(%esp)
   0x0804ccb4 <+164>:	call   0x804c2c0 <verify_array_block>
   0x0804ccb9 <+169>:	test   %eax,%eax
   0x0804ccbb <+171>:	mov    %eax,%edi
   0x0804ccbd <+173>:	je     0x804cd0e <copy_tree_to_builder+254>
   0x0804ccbf <+175>:	mov    -0x28(%ebp),%eax
   0x0804ccc2 <+178>:	mov    0x8(%ebp),%edx
   0x0804ccc5 <+181>:	mov    %eax,0x4(%esp)
   0x0804ccc9 <+185>:	mov    %edx,(%esp)
   0x0804cccc <+188>:	call   0x8050fa0 <metafile_key_list_set>
   0x0804ccd1 <+193>:	mov    (%edi),%ecx
   0x0804ccd3 <+195>:	bswap  %ecx
   0x0804ccd5 <+197>:	test   %ecx,%ecx
   0x0804ccd7 <+199>:	mov    %ecx,-0x24(%ebp)
   0x0804ccda <+202>:	je     0x804cd0e <copy_tree_to_builder+254>
   0x0804ccdc <+204>:	xor    %esi,%esi
   0x0804ccde <+206>:	xchg   %ax,%ax
   0x0804cce0 <+208>:	mov    0x4(%edi,%esi,4),%edx
   0x0804cce4 <+212>:	mov    -0x20(%ebp),%eax
   0x0804cce7 <+215>:	call   0x804c320 <verify_string>
   0x0804ccec <+220>:	test   %eax,%eax
   0x0804ccee <+222>:	je     0x804cd06 <copy_tree_to_builder+246>
   0x0804ccf0 <+224>:	mov    %eax,0x8(%esp)
   0x0804ccf4 <+228>:	mov    0x8(%ebp),%edx
   0x0804ccf7 <+231>:	mov    -0x28(%ebp),%eax
   0x0804ccfa <+234>:	mov    %edx,(%esp)
   0x0804ccfd <+237>:	mov    %eax,0x4(%esp)
   0x0804cd01 <+241>:	call   0x8050f30 <metafile_key_list_add>
   0x0804cd06 <+246>:	lea    0x1(%esi),%esi
   0x0804cd09 <+249>:	cmp    %esi,-0x24(%ebp)
   0x0804cd0c <+252>:	ja     0x804cce0 <copy_tree_to_builder+208>
   0x0804cd0e <+254>:	addl   $0x1,-0x1c(%ebp)
   0x0804cd12 <+258>:	mov    -0x1c(%ebp),%ecx
   0x0804cd15 <+261>:	cmp    %ecx,-0x30(%ebp)
   0x0804cd18 <+264>:	ja     0x804cc60 <copy_tree_to_builder+80>
   0x0804cd1e <+270>:	mov    -0x34(%ebp),%esi
   0x0804cd21 <+273>:	xor    %edx,%edx
   0x0804cd23 <+275>:	xor    %ecx,%ecx
   0x0804cd25 <+277>:	mov    0xc(%esi),%eax
   0x0804cd28 <+280>:	bswap  %eax
   0x0804cd2a <+282>:	test   %eax,%eax
   0x0804cd2c <+284>:	je     0x804cd3b <copy_tree_to_builder+299>
   0x0804cd2e <+286>:	mov    %eax,%edx
   0x0804cd30 <+288>:	mov    -0x20(%ebp),%eax
   0x0804cd33 <+291>:	xor    %ecx,%ecx
   0x0804cd35 <+293>:	add    0x28(%eax),%edx
   0x0804cd38 <+296>:	adc    0x2c(%eax),%ecx
   0x0804cd3b <+299>:	mov    0x8(%ebp),%esi
   0x0804cd3e <+302>:	mov    -0x34(%ebp),%eax
   0x0804cd41 <+305>:	mov    %edx,0x8(%esi)
   0x0804cd44 <+308>:	mov    0x4(%eax),%edx
   0x0804cd47 <+311>:	test   %edx,%edx
   0x0804cd49 <+313>:	mov    %ecx,0xc(%esi)
   0x0804cd4c <+316>:	jne    0x804cd98 <copy_tree_to_builder+392>
   0x0804cd4e <+318>:	lea    0x3c(%esp),%esp
   0x0804cd52 <+322>:	pop    %ebx
   0x0804cd53 <+323>:	pop    %esi
   0x0804cd54 <+324>:	pop    %edi
   0x0804cd55 <+325>:	pop    %ebp
   0x0804cd56 <+326>:	ret    
   0x0804cd57 <+327>:	nop
   0x0804cd58 <+328>:	mov    -0x1c(%ebp),%eax
   0x0804cd5b <+331>:	mov    -0x2c(%ebp),%ecx
   0x0804cd5e <+334>:	mov    0x8(%ecx,%eax,8),%edx
   0x0804cd62 <+338>:	mov    %esi,%eax
   0x0804cd64 <+340>:	call   0x804c320 <verify_string>
   0x0804cd69 <+345>:	test   %eax,%eax
   0x0804cd6b <+347>:	je     0x804cd0e <copy_tree_to_builder+254>
   0x0804cd6d <+349>:	mov    %eax,0x8(%esp)
   0x0804cd71 <+353>:	mov    -0x28(%ebp),%esi
   0x0804cd74 <+356>:	mov    0x8(%ebp),%eax
   0x0804cd77 <+359>:	mov    %esi,0x4(%esp)
   0x0804cd7b <+363>:	mov    %eax,(%esp)
   0x0804cd7e <+366>:	call   0x8051020 <metafile_key_set_value>
   0x0804cd83 <+371>:	addl   $0x1,-0x1c(%ebp)
   0x0804cd87 <+375>:	mov    -0x1c(%ebp),%ecx
   0x0804cd8a <+378>:	cmp    %ecx,-0x30(%ebp)
   0x0804cd8d <+381>:	ja     0x804cc60 <copy_tree_to_builder+80>
   0x0804cd93 <+387>:	jmp    0x804cd1e <copy_tree_to_builder+270>
   0x0804cd95 <+389>:	lea    0x0(%esi),%esi
   0x0804cd98 <+392>:	mov    -0x20(%ebp),%eax
   0x0804cd9b <+395>:	movl   $0x10,(%esp)
   0x0804cda2 <+402>:	call   0x804c2c0 <verify_array_block>
   0x0804cda7 <+407>:	test   %eax,%eax
   0x0804cda9 <+409>:	mov    %eax,-0x1c(%ebp)
   0x0804cdac <+412>:	je     0x804cd4e <copy_tree_to_builder+318>
   0x0804cdae <+414>:	mov    (%eax),%edx
   0x0804cdb0 <+416>:	bswap  %edx
   0x0804cdb2 <+418>:	test   %edx,%edx
   0x0804cdb4 <+420>:	mov    %edx,-0x24(%ebp)
   0x0804cdb7 <+423>:	je     0x804cd4e <copy_tree_to_builder+318>
   0x0804cdb9 <+425>:	xor    %edi,%edi
   0x0804cdbb <+427>:	nop
   0x0804cdbc <+428>:	lea    0x0(%esi,%eiz,1),%esi
   0x0804cdc0 <+432>:	mov    %edi,%esi
   0x0804cdc2 <+434>:	mov    -0x1c(%ebp),%ecx
   0x0804cdc5 <+437>:	shl    $0x4,%esi
   0x0804cdc8 <+440>:	mov    -0x20(%ebp),%eax
   0x0804cdcb <+443>:	mov    0x4(%ecx,%esi,1),%edx
   0x0804cdcf <+447>:	call   0x804c320 <verify_string>
   0x0804cdd4 <+452>:	test   %eax,%eax
   0x0804cdd6 <+454>:	je     0x804cdf9 <copy_tree_to_builder+489>
   0x0804cdd8 <+456>:	mov    0x8(%ebp),%edx
   0x0804cddb <+459>:	mov    %eax,(%esp)
   0x0804cdde <+462>:	mov    %edx,0x4(%esp)
   0x0804cde2 <+466>:	call   0x8051100 <metafile_new>
   0x0804cde7 <+471>:	mov    -0x1c(%ebp),%ecx
   0x0804cdea <+474>:	mov    %eax,(%esp)
   0x0804cded <+477>:	mov    -0x20(%ebp),%eax
   0x0804cdf0 <+480>:	lea    0x4(%ecx,%esi,1),%edx
   0x0804cdf4 <+484>:	call   0x804cc10 <copy_tree_to_builder>
   0x0804cdf9 <+489>:	lea    0x1(%edi),%edi
   0x0804cdfc <+492>:	cmp    %edi,-0x24(%ebp)
   0x0804cdff <+495>:	ja     0x804cdc0 <copy_tree_to_builder+432>
   0x0804ce01 <+497>:	lea    0x3c(%esp),%esp
   0x0804ce05 <+501>:	pop    %ebx
   0x0804ce06 <+502>:	pop    %esi
   0x0804ce07 <+503>:	pop    %edi
   0x0804ce08 <+504>:	pop    %ebp
   0x0804ce09 <+505>:	ret    
End of assembler dump.
Comment 8 rexwilfred 2010-07-05 10:51:09 EDT
Package: gvfs-1.6.2-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.open a doc file with openoffice
2.save as PDF or use extentPDF to do this
3.
Comment 9 Mikhail 2010-07-07 13:35:10 EDT
Package: gvfs-1.6.2-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Start gnome-user-share
http://library.gnome.org/users/gnome-user-share/2.30/gnome-user-share-getting-started.html.en
2. Copy big file over network.

P.S. Network is wireless 802.11n, card's intel 5150, wireless router Dlink DIR-655
Comment 10 David Webb 2010-07-10 07:11:27 EDT
Package: gvfs-1.6.2-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. no idea.
Comment 11 Norm Murray 2010-07-25 19:59:31 EDT
Package: gvfs-1.6.2-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
unknown
Comment 12 Norm Murray 2010-07-25 20:02:00 EDT
Package: gvfs-1.6.2-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
Was attempting to detach a tab into a new window.
Comment 13 Khalid El-dehairy 2010-08-06 04:47:09 EDT
Package: gvfs-1.6.2-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. double clicked a .flv file
2. vlc does not play anything
3. close vlc. (minimized to tray)
4. quit vlc (refuses to quit)
Comment 14 Felipe Hommen 2010-08-07 08:07:44 EDT
Package: gvfs-1.6.2-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


Comment
-----
I had an iso image mounted and was exploring it. May be related.
Comment 15 Phil V 2010-08-17 20:04:44 EDT
Package: gvfs-1.6.2-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
unknown


Comment
-----
FWIW, active was firefox, gnome-terminal, compiz, nautilus, ....
Comment 16 Karel Klíč 2010-11-09 09:51:03 EST
*** Bug 607757 has been marked as a duplicate of this bug. ***
Comment 17 Karel Klíč 2010-11-09 09:51:11 EST
*** Bug 619133 has been marked as a duplicate of this bug. ***
Comment 18 Karel Klíč 2010-11-09 09:51:19 EST
*** Bug 635723 has been marked as a duplicate of this bug. ***
Comment 19 Bug Zapper 2011-06-02 07:35:33 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 20 Bug Zapper 2011-06-27 13:47:50 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.